<?php

/* DCMS Special
 * Дата последнего редактирования 05.02.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

include_once 'inc/functions.php';

$set['title'] = 'Чёрный список сайтов'; // заголовок страницы

include_once H . 'sys/inc/thead.php';

if (isset($_GET['del'])) {
    access('adm_rekl_black_list', null, '?' . SID);
    $db->query("DELETE FROM `rekl_link` WHERE `id` = '" . intval($_GET['del']) . "'");
    $_SESSION['true'] = lang('Сайт успешно удалён с чёрного списка');
    header("Location: ?" . SID);
    exit();
}

if (isset($_POST['save'])) {
    access('adm_rekl_black_list', null, 'index.php' . SID);
    $prich = stripcslashes(htmlspecialchars($_POST['prich']));
    if (utf8_strlen($prich) > 1024) {
        $err[] = 'Причина слишком длинная';
    }
    if (utf8_strlen($prich) < 5) {
        $err[] = 'Причина слишком короткая';
    }
    $prich = $db->safesql($prich);
    $link = stripcslashes(htmlspecialchars($_POST['link']));
    if (!isset($err)) {
        $db->query("INSERT INTO `rekl_link` (`id_user`, `prich`, `time`, `link`) VALUES ('$user[id]', '$prich', '$time', '$link')");
        admin_log('Реклама', 'Чёрный список', "Добавление в чёрный список сайта '$link' по причине '$prich'");
        $_SESSION['true'] = lang('Сайт успешно добавлен в чёрный список');
        header("Location: ?" . SID);
        exit();
    }
}
err();
aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/reklama/'>" . lang('Реклама') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Черный список сайтов');
echo "</small></div><br />";

if (isset($_SESSION['true'])) {
    msg('' . $_SESSION['true'] . '');
    unset($_SESSION['true']);
}

$k_post = $db->super_query("SELECT COUNT(*) as count FROM rekl_link");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}

$q = $db->query("SELECT * FROM `rekl_link` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = $db->get_row($q)) {
    $ank = get_user($post['id_user']);

    echo "<div class='list-group-item-null'>\n";
    echo '<i class="fa fa-link fa-fw"></i> Адрес: ' . $post['link'] . ' ' . (access('adm_rekl_black_list') ? '<a href="?del=' . $post['id'] . '" style="float: right"><i class="fa fa-trash-o fa-fw"></i></a>' : null) . '<br />';
    echo '<i class="fa fa-hourglass-end fa-fw"></i> Время: ' . date::times($post['time']) . '<br />';
    echo "<i class='fa fa-pencil fa-fw'></i> Причина: " . toOutput($post['prich']) . " (<a href='/id$ank[id]'>$ank[nick]</a>)<br />";
    echo "</div>\n";
    echo "<div class='hr'></div>";
}

if (isset($_GET['add']) && access('adm_rekl_black_list')) {
    echo "<form method='post' action='?$passgen' class='list-group-item-null'>\n";
    $doc->Input('link', 'Ссылка', 100, "http://");
    $doc->Textarea('prich', 'Причина');
    echo"<br />\n";
    $doc->Button('btn btn-primary btn-sm', 'save', 'plus', 'Добавить');
    echo "</form>\n";
}
if ($k_page > 1) {
    str('?', $k_page, $page);
}

if (access('adm_rekl_black_list')) {
    echo "<div class='list-group-item-null list-group-item-grey'>";
    $doc->Link(null, '?add', 'plus', 'Добавить сайт');
    echo "</div>";
}
include_once H . 'sys/inc/tfoot.php';

